angular.module('electricpower.controllers')

/**
 * * ywj
 *   支付宝模块
 *   创建时间:2016-03-24
 *
 */
.controller('AlipayCtrl', function($scope, $ionicLoading, $state, $stateParams, $http, Setting, $ionicPopup, $cordovaToast) {
	if("true" != sessionStorage.isLogin){
		location.href = "#/login";
		return;
	}else
	{
		location.href = "#/tab/alipay";
	}
	//电业局名
	$scope.dyjName = localStorage.cusdyjname;
	 //下拉刷新
	$scope.doRefreshAlipay = function() {
		$state.go('tab.alipay',null,{
				    reload:true
				});
				
	}
	//页面初始化loading
	$ionicLoading.show({
		template: 'Loading...'
	});
	var pagecount=1;
   	var pagesize=1;
	//开始时间
	$scope.start_time1 = "";
	//结束时间
	$scope.end_time2 = ""; 
	$scope.listAlipays = [];
	
	//var start_time = angular.toJson($scope.start_time).substr(0, 11).replace(/^\"|\"$/g,"");
	//var end_start = angular.toJson($scope.end_time).substr(0, 11).replace(/^\"|\"$/g,"");
	//初始化信息
	function getAlipayInfo()
	{
		var start_time = document.getElementById("start_time_alipays").value;
		var end_time = document.getElementById("end_time_alipays").value;
		if(start_time == "" && end_time == "")
		{
			end_time = "null";
			start_time = "null";
		}
		console.log("===="+Setting.baseUrl+"dyjinterface/selwmplist.do?org_no="+localStorage.cusNo+"&starttime="+start_time+"&endtime="+end_time+"&status=2&currentPage="+pagesize+"&pageSize=10");
		$http.get(Setting.baseUrl+"dyjinterface/selwmplist.do?org_no="+localStorage.cusNo+"&starttime="+start_time+"&endtime="+end_time+"&status=2&currentPage="+pagesize+"&pageSize=10")
			.success(function(data, status, headers, config) {
				if(0 == data.flag){
					//开始时间
					$scope.start_time_alipay = new Date(data.object.starttwo);
					//结束时间
					$scope.end_time_alipay = new Date(data.object.endtwo); 
					if("" == data.object.list)
					{
						document.getElementById("none_infos").style.display = "block";
						pagecount = 0;
						//隐藏loading指示器
						$ionicLoading.hide();
					}else
					{
						pagecount = data.object.TotalPage;
				   		pagesize++;
				   		
						document.getElementById("none_infos").style.display = "none";
						for (var i = 0; i < data.object.list.length; i++) {
				  			$scope.listAlipays.push(data.object.list[i]);
						}
						$scope.sumz = data.object.sum;
				   		//隐藏loading指示器
						$ionicLoading.hide();
					}
			   		
				}
				if(1 == data.flag)
				{
					document.getElementById("none_infos").style.display = "block";
					pagecount = 0;
					//隐藏loading指示器
					$ionicLoading.hide();
				}
				if(2 == data.flag)
				{
					document.getElementById("none_infos").style.display = "block";
					pagecount = 0;
					//隐藏loading指示器
					$ionicLoading.hide();
				}
			   // 停止广播ion-infinite-scroll
			   $scope.$broadcast('scroll.infiniteScrollComplete');
		 	})
			.error(function(data, status, headers, config){
		        $cordovaToast.showLongCenter(Setting.netErrorMessage).then(function(success) {  
				    // success  
				}, function (error) {  
				    // error  
				});
			 })
			.finally(function() {
				   // 停止广播ion-infinite-scroll
				   $scope.$broadcast('scroll.infiniteScrollComplete');
			});
	}
	//上拉加载
	$scope.loadMoreAlipay = function() {	
		getAlipayInfo();
	}
	//查询点击事件
	$scope.contentAlipay = function()
	{
		$scope.listAlipays = [];
		var start_time = document.getElementById("start_time_alipays").value;
		var end_time = document.getElementById("end_time_alipays").value;
		var time = /^([1-2]\d{3})[\/|\-](0?[1-9]|10|11|12)[\/|\-]([1-2]?[0-9]|0[1-9]|30|31)$/;
		if(start_time == "")
		{
			$cordovaToast.showLongCenter("请选择开始时间").then(function(success) {  
				    // success  
			}, function (error) {  
			    // error  
			});
			return false;
		}else if(end_time == "")
		{
			$cordovaToast.showLongCenter("请选择结束时间").then(function(success) {  
				    // success  
			}, function (error) {  
			    // error  
			});
			return false;
		}else if(!time.test(start_time))
		{
			$cordovaToast.showLongCenter("请输入正确的日期格式").then(function(success) {  
				    // success  
			}, function (error) {  
			    // error  
			});
			return false;
		}else if(!time.test(end_time))
		{
			$cordovaToast.showLongCenter("请输入正确的日期格式").then(function(success) {  
				    // success  
			}, function (error) {  
			    // error  
			});
			return false;
		}else{
			console.log("start_time日期===="+start_time);
			console.log("end_time日期===="+end_time);
			pagecount=0;
   			pagesize=1;
			var start_time = document.getElementById("start_time_alipays").value;
			var end_time = document.getElementById("end_time_alipays").value;
			if(start_time == "" && end_time == "")
			{
				end_time = "null";
				start_time = "null";
			}
			console.log("===="+Setting.baseUrl+"dyjinterface/selwmplist.do?org_no="+localStorage.cusNo+"&starttime="+start_time+"&endtime="+end_time+"&status=2&currentPage="+pagesize+"&pageSize=10");
			$http.get(Setting.baseUrl+"dyjinterface/selwmplist.do?org_no="+localStorage.cusNo+"&starttime="+start_time+"&endtime="+end_time+"&status=2&currentPage="+pagesize+"&pageSize=10")
				.success(function(data, status, headers, config) {
					if(0 == data.flag){
						//开始时间
						$scope.start_time_alipay = new Date(data.object.starttwo);
						//结束时间
						$scope.end_time_alipay = new Date(data.object.endtwo); 
						if("" == data.object.list)
						{
							document.getElementById("none_infos").style.display = "block";
							pagecount = 0;
							//隐藏loading指示器
							$ionicLoading.hide();
						}else
						{
							pagecount = data.object.TotalPage;
					   		pagesize++;
					   		
							document.getElementById("none_infos").style.display = "none";
							for (var i = 0; i < data.object.list.length; i++) {
					  			$scope.listAlipays.push(data.object.list[i]);
							}
							$scope.sumz = data.object.sum;
					   		//隐藏loading指示器
							$ionicLoading.hide();
						}
				   		
					}
					if(1 == data.flag)
					{
						document.getElementById("none_infos").style.display = "block";
						pagecount = 0;
						//隐藏loading指示器
						$ionicLoading.hide();
					}
					if(2 == data.flag)
					{
						document.getElementById("none_infos").style.display = "block";
						pagecount = 0;
						//隐藏loading指示器
						$ionicLoading.hide();
					}
				   // 停止广播ion-infinite-scroll
				   $scope.$broadcast('scroll.infiniteScrollComplete');
			 	})
				.error(function(data, status, headers, config){
			        $cordovaToast.showLongCenter(Setting.netErrorMessage).then(function(success) {  
					    // success  
					}, function (error) {  
					    // error  
					});
				 })
				.finally(function() {
					   // 停止广播ion-infinite-scroll
					   $scope.$broadcast('scroll.infiniteScrollComplete');
				});
			}
	}
	//是否可加载更多数据
	$scope.loadMoreCanBeLoadedAlipay = function(){
		//console.log("loadMoreCanBeLoadedNewList pagecount:" + pagecount + "     pagesize:" + pagesize);
		if(pagecount < pagesize){
			return false;
		}else{
			//alert("loadMoreCanBeLoadedNewList pagecount:" + pagecount + "     pagesize:" + pagesize);
			return true;
		}
	}
});
