angular.module('electricpower.controllers')

/**
 * 登录 LoginController
 * 创建人：ywj
 * 创建日期：2016-03-24
 * 
 * */
.controller('LoginController',function($scope, $ionicLoading, $http, $cordovaToast, Setting){
	
	localStorage.enableAutoLogin = ((undefined == localStorage.enableAutoLogin)?false:localStorage.enableAutoLogin);
	$scope.enableAutoLogin = {checked : Boolean(localStorage.enableAutoLogin)};
	if("true" == localStorage.enableAutoLogin || true == localStorage.enableAutoLogin){
		$scope.enableAutoLogin = {checked : true};
	}else{
		$scope.enableAutoLogin = {checked : false};
	}
	//关闭窗口
	$scope.closeWindow = function()
	{
		location.href = "#/tab/wechat";
	}
	//登录按钮点击事件
	$scope.login = function(){
		var user = /^[a-zA-Z0-9_]{1,30}$/;
		if(logusername.value.trim() == ""){
			$cordovaToast.showLongCenter("未填写用户名").then(function(success) {  
				return false;
			}, function (error) {  
				    // error  
			});
		}else if(logpwd.value.trim() == ""){
			$cordovaToast.showLongCenter("未填写密码").then(function(success) {  
				return false;
			}, function (error) {  
				    // error  
			});
		}else{
			$ionicLoading.show({template: 'Loading...'});
			console.log(Setting.baseUrl+"dyjinterface/login.do?cusname="+logusername.value+"&cuspwd="+logpwd.value);
			$http.get(Setting.baseUrl+"dyjinterface/login.do?cusname="+logusername.value+"&cuspwd="+logpwd.value)
			.success(function(data, status, headers, config){
				if(1 == data.flag){
					$ionicLoading.hide();
					$cordovaToast.showLongCenter("该用户不存在").then(function(success) {  
				    	// success  
					}, function (error) {  
						    // error  
					});

				}else if(2 == data.flag){
					$ionicLoading.hide();
					$cordovaToast.showLongCenter("密码错误").then(function(success) {  
				    	// success  
					}, function (error) {  
						    // error  
					});
				}else{
					$ionicLoading.hide();
					localStorage["user_id"] = data.object.cusId;
					localStorage["cusdyjname"] = data.object.cusdyjname;
					localStorage["cusNo"] = data.object.cusNo;
					localStorage["cusPwd"] = data.object.cusPwd;
					sessionStorage.isLogin = "true";
					location.href="#/tab/wechat";
				}
			})
			.error(function(data, status, headers, config){
				$ionicLoading.hide();
				$cordovaToast.showLongCenter(Setting.netErrorMessage).then(function(success) {  
				    	// success  
				}, function (error) {  
						    // error  
				});
				
			});  
		}
	}
	//自动登录选择toggle内容变换
	$scope.autoLoginChange = function()
	{
		if($scope.enableAutoLogin.checked == true || "true" == $scope.enableAutoLogin.checked){
			localStorage.enableAutoLogin = true;
		}else{
			localStorage.enableAutoLogin = false;
		}
	}
	//执行自动登录
	$scope.doAutoLogin = function()
	{
		if($scope.enableAutoLogin.checked == true || "true" == $scope.enableAutoLogin.checked)
		{		
				if(localStorage.username == "")
				{
					$cordovaToast.showLongBottom("未填写用户名！").then(function(success) {  
				    	// success  
					}, function (error) {  
							    // error  
					});
				}
				else if(localStorage.password == "")
				{
					$cordovaToast.showLongBottom("未填写密码！").then(function(success) {  
				    	// success  
					}, function (error) {  
							    // error  
					});
				}else
				{
				  $http.get(Setting.baseUrl+"dyjinterface/login.do?cusname="+localStorage.username+"&cuspwd="+localStorage.password)
				 .success(function(data, status, headers, config){
					if(-1 == data.code){
						$ionicLoading.hide();
						$cordovaToast.showLongBottom(data.message).then(function(success) {  
				    	// success  
						}, function (error) {  
								    // error  
						});
					}else if(0 == data.code){
						$ionicLoading.hide();
						$cordovaToast.showLongBottom(data.message).then(function(success) {  
				    	// success  
						}, function (error) {  
								    // error  
						});
					}else{
						$ionicLoading.hide();
						sessionStorage.isLogin = "true";
						location.href="#/tab/wechat";
					}
				})
				 .error(function(data, status, headers, config){
					$ionicLoading.hide();
					$cordovaToast.showLongBottom(Setting.netErrorMessage).then(function(success) {  
				    	// success  
					}, function (error) {  
								    // error  
					});
				});  
			 }
		}
	}
	$scope.doAutoLogin();
});