angular.module('electricpower.controllers')

/**
 * 修改密码 UppwdController
 * 创建人：ywj
 * 创建日期：2016-03-28
 * 
 * */
.controller('UppwdController', function($scope, $ionicLoading, $stateParams, $http, Setting, $ionicPopup, $cordovaToast) {
  		//获取用户id
		$scope.user_id = localStorage["user_id"];
  		$scope.uppwd = function(){
  			var pwd = /^[\w!@#$%\^&\*\(\)_]{6,20}$/;
    		if(ypwd.value.trim() == ""){
    			$cordovaToast.showLongCenter("原密码不能为空").then(function(success) {  
				    return false;  
				}, function (error) {  
				    // error  
				});
			}else if(ypwd.value.trim().length < 6){
				$cordovaToast.showLongCenter("密码长度不能小于6个字符").then(function(success) {  
				    return false; 
				}, function (error) {  
				    // error  
				});
			}else if(!pwd.test(ypwd.value.trim())){
				$cordovaToast.showLongCenter("密码格式不正确").then(function(success) {  
				   return false; 
				}, function (error) {  
				    // error  
				});
				
			}else if(npwd.value == ""){
				$cordovaToast.showLongCenter("新密码不能为空").then(function(success) {  
				   return false;
				}, function (error) {  
				    // error  
				});
				
			}else if(npwd.value.trim().length < 6){
				$cordovaToast.showLongCenter("新密码长度不能小于6个字符").then(function(success) {  
				   return false;
				}, function (error) {  
				    // error  
				});
			
			}else if(npwd.value.trim() == ypwd.value.trim()){
				$cordovaToast.showLongCenter("新密码与原密码不能相同").then(function(success) {  
				   return false;
				}, function (error) {  
				    // error  
				});
				
			}else if(!pwd.test(npwd.value.trim())){
				$cordovaToast.showLongCenter("新密码格式不正确").then(function(success) {  
				    return false;  
				}, function (error) {  
				    // error  
				});
				
			}else if(cnpwd.value == ""){
				$cordovaToast.showLongCenter("确认密码不能为空").then(function(success) {  
				    return false;
				}, function (error) {  
				    // error  
				});
				
			}else if(cnpwd.value != npwd.value){
				$cordovaToast.showLongCenter("确认密码与新密码不一致").then(function(success) {  
				    return false;  
				}, function (error) {  
				    // error  
				});
				
			}else{
				$ionicLoading.show({template: 'Loading...'});
				console.log("======"+Setting.baseUrl+"dyjinterface/updatepwd.do?id="+$scope.user_id+"&cuspwd="+ypwd.value+"&newcuspwd="+cnpwd.value);
				$http.get(Setting.baseUrl+"dyjinterface/updatepwd.do?id="+$scope.user_id+"&cuspwd="+ypwd.value+"&newcuspwd="+cnpwd.value)
				.success(function(data, status, headers, config){
				if(0 == data.flag){
					$ionicLoading.hide();
					$cordovaToast.showLongCenter("修改密码成功请重新登录").then(function(success) {  
					    sessionStorage.isLogin = "false";
	                    localStorage.enableAutoLogin = false;
						location.href = '#/tab/wechat';
					}, function (error) {  
					    // error  
					});
					
				}else if(1 == data.flag){
					$ionicLoading.hide();
       				$cordovaToast.showLongCenter("该用户不存在").then(function(success) {  
				    // success  
					}, function (error) {  
					    // error  
					});
				}else if(2 == data.flag){
					$ionicLoading.hide();
       				$cordovaToast.showLongCenter("老密码错误").then(function(success) {  
				    // success  
					}, function (error) {  
					    // error  
					});
				}else{
					$ionicLoading.hide();
					$cordovaToast.showLongCenter("修改密码失败").then(function(success) {  
		    		
					}, function (error) {  
					    // error  
					});
				}
			})
			.error(function(data, status, headers, config){
				$ionicLoading.hide();
				$cordovaToast.showLongCenter(Setting.netErrorMessage).then(function(success) {  
				    // success  
				}, function (error) {  
					// error  
				});
		});  
	}
}
});

